# Specify tax codes and behavior on pricing plans Add tax codes and tax behavior on pricing plans to automatically calculate tax. > Pricing plans are currently in [private preview](https://docs.stripe.com/release-phases.md) and could change in functionality and integration path before they’re generally available to all Stripe users. ## Tax codes Stripe Tax uses [product tax codes](https://docs.stripe.com/tax/products-prices-tax-codes-tax-behavior.md) to associate pricing plan components with their applicable tax rates, which might be lower or higher in different cities or countries. Assign each of your products a tax code to automatically apply the rate and other taxability rules. If a pricing plan component doesn’t fit any of the specific codes, use one of the codes with “General” in its name to apply the standard rate of the jurisdiction. See our [list of available tax codes](https://docs.stripe.com/tax/tax-codes.md). ### Preset tax codes When you activate Stripe Tax you can set the preset tax code in the [Tax settings](https://dashboard.stripe.com/settings/tax) in the Dashboard. We use the preset if you don’t explicitly specify a `tax_code` on your rate card. As you process payments, we also use the preset tax code to display the tax thresholds you might be approaching or have exceeded, in the [Threshold monitoring](https://dashboard.stripe.com/settings/tax/thresholds) section of your tax settings. ### Set a tax code on a pricing plans #### Dashboard When you create pricing plans in the Dashboard you can set your tax code in the dropdown by searching for any available tax code. If you don’t, Stripe Tax uses the preset tax code defined in your [Tax Settings](https://dashboard.stripe.com/settings/tax). If a product could fit multiple codes, for example, a SaaS product used for personal or business use depending on the type of customer, we recommend creating two separate products in Stripe and assigning the appropriate code to each. 1. Go to the [Pricing plans](https://dashboard.stripe.com/pricing-plans?active=true) page and select your pricing plan. 1. Click **Edit pricing plan**. 1. Select the item you want to change the product tax code for. 1. Expand **Advanced settings** for your item, and specify a **Product tax code**. - Click **Save**. #### API To create a pricing plan with tax code configured using the API: ```curl curl -X POST https://api.stripe.com/v2/tax/automatic_rules \ -H "Authorization: Bearer <>" \ -H "Stripe-Version: 2026-03-25.preview" \ --json '{ "billable_item": "{{BILLABLE_ITEM_ID}}", "tax_code": "txcd_10000000" }' ``` ### Turn on automatic tax on a pricing plan To turn on automatic tax on your pricing plans, you need to configure your [Billing Settings](https://docs.stripe.com/api/v2/billing-settings.md?api-version=2025-08-27.preview): ```curl curl -X POST https://api.stripe.com/v2/billing/bill_settings \ -H "Authorization: Bearer <>" \ -H "Stripe-Version: 2026-03-25.preview" \ --json '{ "calculation": { "tax": { "type": "automatic" } } }' ``` ```curl curl -X POST https://api.stripe.com/v2/billing/cadences \ -H "Authorization: Bearer <>" \ -H "Stripe-Version: 2026-03-25.preview" \ --json '{ "settings": { "bill": { "id": "{{BILL_SETTINGS_ID}}" } } }' ``` ## Tax behavior To determine how you present tax to the buyer, you must specify either a `tax_behavior` on a pricing plan or a default tax behavior in your tax settings in the Dashboard. This allows you to localize your checkout to the market. When you set tax behavior to exclusive, it adds tax onto the subtotal amount you specify on your price. This is common in US markets and for B2B sales. When you set tax behavior to inclusive, the amount your buyer pays never changes, even if the tax rate varies. This is common practice for B2C buyers in many markets outside the US. ### Set a default tax behavior You can define a default tax behavior that applies to every pricing plan. Set up the default tax behavior in the [Stripe Tax settings](https://dashboard.stripe.com/settings/tax) under the **Include tax in prices** section.